/* GUI Color mapping, for easy translation into 16-bit-color
 ***/
#define CBD          0    /* Color-Back-Drop */
#define CFG          1    /* Color-Fore-Ground */
#define CTX          2    /* Color-Text */

/* A few stats for the map-view, these may be variable from an "options"
 * menu later on.
 ***/
#define RR           4             /* RoomRadius */
#define GS           20            /* Grid Spacing */
#define DSL          (GS/2-RR)     /* Door-Straight-Length, the length from a room the doorway is straight */
#define OLOS         3             /* Other-Level-Offset-Size */

#define DRAW_TAGS       0x0001   /* Draw the tags */
#define DRAW_COASTERS   0x0002   /* Draw the room coasters */
#define DRAW_1ZONE      0x0004   /* Draw rooms just from the zone the current room's zone */
#define DRAW_TRANS      0x0008   /* Use transparancy effects (tags & coasters) */

#define DMODE_SINGLE    1        /* Normal mode / single select */
#define DMODE_MSELPICK  2        /* Selecting the multiple-selection */
#define DMODE_MSEL      3        /* Multiple-selection */

void dotted_rect(BITMAP *bm, int x1, int y1, int x2, int y2, int fg, int bg);
void rect3d( BITMAP *db, int x1, int y1, int x2, int y2, int c1, int c2 );
void rect3dfill( BITMAP *db, int x1, int y1, int x2, int y2, int c1, int c2, int c3 );
void room3d( BITMAP *db, int x, int y, int w, int h, int c1, int c2, int c3 );
void draw_door( BITMAP *db,
                int x1, int y1, int d1, short typea1, short typeb1, int state1,
                int x2, int y2, int d2, short typea2, short typeb2, int state2,
                int c, int dl );
void set_colors( DIALOG *d );
void draw_map( WORLD *world, BITMAP *db, int ox, int oy, int layer,
               int mode, void *ex1, void *ex2, unsigned short opt );
void set_stcol( int index, int color );
int get_stcol( int index );

int scrn_shot();

